package com.yeejoin.amos.boot.module.jxiop.biz.mapper2;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.jxiop.biz.entity.SjglZsjZsbtz;

import java.util.List;
import java.util.Map;

/**
 * 设备基本信息  Mapper 接口
 *
 * @author system_generator
 * @date 2023-07-03
 */
public interface SjglZsjZsbtzMapper extends BaseMapper<SjglZsjZsbtz> {

    /**
     * 根据场站信息获取装机容量
     * @param WERKS
     * @return
     */
    Double getStationCapactityByStationWerks(String WERKS);


    List<Map<String,Object>> getStationInfoMapByStationWerks(String WERKS, String DATAID);
    List<Map<String,Object>> getStationInfoMapByStationWerksNew(String WERKS, String DATAID);
    List<Map<String,Object>> getStationInfoMapByStationGFWerks(String WERKS,String DATAID);

    List<Map<String, Object>> getStationInfoMapByStationGFWerksNew(String WERKS,String DATAID);

}
